This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1284313 - SELinux is preventing gnome-shell from 'sendto' accesses on the unix_dgram_socket 006E7669646961313161343363646500000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000.
SELinux is preventing gnome-shell from 'sendto' accesses on the unix_dgram_so...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:885f239a1b0089e64f99a552661...
:
Depends On:
Blocks: 1294328
  Show dependency treegraph
 
Reported: 2015-11-22 20:19 EST by Trevor Clark
Modified: 2016-02-08 07:38 EST (History)
13 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 00:24:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Clark 2015-11-22 20:19:03 EST
Description of problem:
SELinux is preventing gnome-shell from 'sendto' accesses on the unix_dgram_socket 006E7669646961313161343363646500000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gnome-shell should be allowed sendto access on the 006E7669646961313161343363646500000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000 unix_dgram_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gnome-shell /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xserver_t:s0-s0:c0.c1023
Target Objects                006E7669646961313161343363646500000000000000000000
                              00000000000000000000000000000000000000000000000000
                              0000000000000000000000000000 [ unix_dgram_socket ]
Source                        gnome-shell
Source Path                   gnome-shell
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-154.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.6-300.fc23.x86_64 #1 SMP Tue
                              Nov 10 19:32:21 UTC 2015 x86_64 x86_64
Alert Count                   5
First Seen                    2015-11-21 12:47:07 MST
Last Seen                     2015-11-22 18:15:26 MST
Local ID                      dcc8b9a2-3291-494e-99ca-0678e8c2f824

Raw Audit Messages
type=AVC msg=audit(1448241326.697:528): avc:  denied  { sendto } for  pid=1528 comm="gnome-shell" path=006E7669646961313161343363646500000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xserver_t:s0-s0:c0.c1023 tclass=unix_dgram_socket permissive=0


Hash: gnome-shell,xdm_t,xserver_t,unix_dgram_socket,sendto

Version-Release number of selected component:
selinux-policy-3.13.1-154.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.6-300.fc23.x86_64
type:           libreport
Comment 1 Paul Lazaga 2015-11-22 23:27:58 EST
Description of problem:
Browsing hill.com with firefox.


Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.6-300.fc23.x86_64
type:           libreport
Comment 2 Brian J. Murrell 2016-01-05 06:48:34 EST
I got this also.  Can this at least be triaged?
Comment 3 Joran Martinière 2016-01-05 17:03:08 EST
Description of problem:
It happens whenever I try to log in just after logging out from my user or any other user. It just won't log in before some time has passed.

Version-Release number of selected component:
selinux-policy-3.13.1-158.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.8-300.fc23.x86_64
type:           libreport
Comment 4 Yuriy 2016-01-17 21:47:08 EST
Description of problem:
dbus[4782]: avc:  denied  { send_msg } for msgtype=method_call interface=org.freedesktop.DBus.Properties member=GetAll dest=:1.14 spid=5809 tpid=4896 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dbus
firefox.desktop[5724]: (plugin-container:5809): GnomeShellBrowserPlugin-WARNING **: Failed to grab shell version.

Version-Release number of selected component:
selinux-policy-3.13.1-158.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.3.3-300.fc23.x86_64
type:           libreport
Comment 5 Moez Roy 2016-01-18 04:54:51 EST
Description of problem:
Happens with latest Nvidia beta. Had to switch to permissive mode to get gdm to start.

Version-Release number of selected component:
selinux-policy-3.13.1-158.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.3.3-300.fc23.x86_64
type:           libreport
Comment 6 Miroslav Grepl 2016-01-21 05:11:38 EST
What GNOME Shell Extenstions do you have installed?
Comment 7 Lukas Vrabec 2016-01-21 11:58:04 EST
commit 93adad2760f066b8cccc2fa9dbfeaa9ec6442966
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Jan 21 17:51:56 2016 +0100

    Allow xdm send dgram sockets to xserver. BZ(1271401)
Comment 8 Fedora Update System 2016-02-03 07:02:01 EST
selinux-policy-3.13.1-158.4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2aa7777f21
Comment 9 Fedora Update System 2016-02-03 18:00:02 EST
selinux-policy-3.13.1-158.4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2aa7777f21
Comment 10 Fedora Update System 2016-02-07 00:23:34 EST
selinux-policy-3.13.1-158.4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Trevor Clark 2016-02-08 07:38:37 EST
Thanks for taking care of it.

Note You need to log in before you can comment on or make changes to this bug.